#
# Conditional build:
%bcond_with	gtk3		# GTK+ 3.x instead of 2.x [seems an early adoption]
#
Summary:	Gobby network editor
Summary(pl.UTF-8):	Edytor sieciowy Gobby
Name:		gobby
Version:	0.5.0
Release:	1
License:	ISC
Group:		X11/Applications/Editors
Source0:	http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
# Source0-md5:	80b30bb4205b623f8e065150cbfb21e6
URL:		http://gobby.0x539.de/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glibmm-devel >= 2.18.0
BuildRequires:	gnome-doc-utils >= 0.9.0
BuildRequires:	gsasl-devel >= 0.2.21
%{!?with_gtk3:BuildRequires:	gtkmm-devel >= 2.6.0}
%{?with_gtk3:BuildRequires:	gtkmm3-devel >= 3.0}
%{!?with_gtk3:BuildRequires:	gtksourceview2-devel >= 2.4}
%{?with_gtk3:BuildRequires:	gtksourceview3-devel >= 3.0}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libinfinity-devel >= 0.6
%{!?with_gtk3:BuildRequires:	libinfinity-gtk-devel >= 0.6}
%{?with_gtk3:BuildRequires:	libinfinity-gtk3-devel >= 0.6}
%{!?with_gtk3:BuildRequires:	libunique-devel >= 1.1.2}
%{?with_gtk3:BuildRequires:	libunique3-devel >= 3}
BuildRequires:	libstdc++-devel
BuildRequires:	libxml++-devel >= 2.6.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.596
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gobby network editor.

%description -l pl.UTF-8
Edytor sieciowy Gobby.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_gtk3:--with-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{el_GR,el}

# gobby05.mo, gnome/help/gobby
%find_lang %{name} --all-name --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/gobby-0.5
%{_datadir}/gobby-0.5
%{_datadir}/appdata/gobby-0.5.appdata.xml
%{_mandir}/man1/gobby-0.5.1*
%{_desktopdir}/gobby-0.5.desktop
%{_iconsdir}/hicolor/48x48/apps/gobby-0.5.png
%{_iconsdir}/hicolor/scalable/apps/gobby-0.5.svg
# which themes???
#%{_iconsdir}/HighContrastLargePrint/48x48/apps/gobby-0.5.png
#%{_iconsdir}/HighContrastLargePrint/scalable/apps/gobby-0.5.svg
#%{_iconsdir}/HighContrastLargePrintInverse/48x48/apps/gobby-0.5.png
#%{_iconsdir}/HighContrastLargePrintInverse/scalable/apps/gobby-0.5.svg
%changelog
* Sat May 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gobby.git;a=log;h=master

* Wed May 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 19976a8
- updated to 0.5.0 (moved from obby to libinfinity)

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 72e5944
- release 3

* Sat Feb 02 2008 Elan Ruusamäe <glen@pld-linux.org> 4c5f471
- rel 2

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 0d2d51f
- files fix

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> 540561b
- up to 0.4.5

* Wed Jun 20 2007 czarny <czarny@pld-linux.org> 42ad74a
- up to 0.4.4

* Wed Apr 25 2007 Patryk Zawadzki <patrys@room-303.com> b5a6755
- 0.4.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0371740
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 543c603
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> dc56c6c
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sun Nov 27 2005 freetz <freetz@pld-linux.org> 1f31783
- 0.3.0rc3

* Fri Nov 11 2005 aredridel <aredridel@pld-linux.org> 2fc2a38
- up to 0.2.2

* Thu Aug 04 2005 aredridel <aredridel@pld-linux.org> d74faff
- up to 0.2.0

* Wed Jul 20 2005 Jakub Bogusz <qboosh@pld-linux.org> ae81c5d
- pl

* Mon Jul 18 2005 aredridel <aredridel@pld-linux.org> 953e84f
- added

